<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Petani; // Wajib import Model Petani

class AdminController extends Controller
{
    public function dashboard()
    {
        return view('admin.dashboard');
    }

    public function verifikasiIndex()
    {
        // Ambil data petani yang statusnya 'menunggu'
        $petanis = Petani::orderBy('created_at', 'desc')->get();
        
        return view('admin.verifikasi.index', compact('petanis'));
    }

    // Tampilkan Detail Petani
    public function verifikasiShow($id)
    {
        $petani = Petani::findOrFail($id);
        return view('admin.verifikasi.show', compact('petani'));
    }

    // Proses Terima Pendaftaran (Approve)
    public function verifikasiApprove($id)
    {
        $petani = Petani::findOrFail($id);
        
        $petani->status_akun = 'aktif';
        $petani->save();

        return redirect('admin/verifikasi')->with('success', 'Pendaftaran Petani BERHASIL diterima.');
    }

    // Proses Tolak Pendaftaran (Reject)
    public function verifikasiReject($id)
    {
        $petani = Petani::findOrFail($id);
        
        $petani->status_akun = 'ditolak';
        $petani->save();

        return redirect('admin/verifikasi')->with('success', 'Pendaftaran Petani DITOLAK.');
    }
}